package ams.com.ams.jdbcdebug.test;

import java.sql.Connection;
import java.sql.Driver;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Properties;

/**
 * <p>タイトル: JDBCDebugTest006_mysql</p>
 * <p>説明: MySQLとの接続テスト。わざとコネクションを解放しない</p>
 * <p>Created on 2003/10/01</p>
 * @author 門田明彦
 * @version $Revision: 1.1 $
 */
public class JDBCDebugTest006_mysql_forgotCloseCon {


	public static void main(String[] args)
		throws
			InstantiationException,
			IllegalAccessException,
			ClassNotFoundException,
			SQLException, InterruptedException {

		// init		
		Driver db_driver =
			(Driver) Class
				.forName("ams.com.ams.jdbcdebug.sql.Driver")
				.newInstance();
		Properties props = new Properties();
		props.put("user", "mysql");
		props.put("password", "mysql");

		// get connection
		Connection c =
			db_driver.connect(
				"jdbc:mysql://localhost:3306/ae2?useUnicode=true&characterEncoding=SJIS",
				props);
		
		PreparedStatement pst = c.prepareStatement("SELECT * FROM AEUSER");
    
    ResultSet rs = pst.executeQuery(); // -> output log 


    Thread.sleep(20000); // 20秒待つ    
    rs.close();
		pst.close();
		c.close();
	}
}
