package ams.com.ams.jdbcdebug.test;

import java.sql.Connection;
import java.sql.Driver;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Properties;



/**
 * <p>タイトル: JDBCDebugTest008_regexp</p>
 * <p>説明: RegExpテスト</p>
 * <p>Created on 2003/10/01</p>
 * @author 門田明彦
 * @version $Revision: 1.1 $
 */
public class JDBCDebugTest008_regexp {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException, ClassNotFoundException, SQLException, ParseException {
        
    		// init		
    		Driver db_driver =
    			(Driver) Class
    				.forName("ams.com.ams.jdbcdebug.sql.Driver")
    				.newInstance();
    		Properties props = new Properties();
    		props.put("user", "hxf001");
    		props.put("password", "hxf001");

    		// get connection
    		Connection c =
    			db_driver.connect(
    				"jdbc:oracle:thin:@10.173.108.179:1521:SHN1376",
    				props);
    		
    		// execute Batch
        
        
    		PreparedStatement pst = c.prepareStatement(
    		        "select * from xfm901 where ent_dt = ? and ent_dt = ? and ent_dt = ?");
    		
    		// 1 java.sql.Date replace test
    		pst.setDate(1, 
    		        new java.sql.Date(
    		                new SimpleDateFormat("yyyy/MM/dd").parse("2002/03/20").getDate()));

    		// 1 java.sql.Time replace test
    		pst.setTime(2, 
    		        new java.sql.Time(
    		                new SimpleDateFormat("yyyy/MM/dd").parse("2002/03/20").getDate()));

    		// 1 java.sql.Timestamp replace test
    		pst.setTimestamp(3, 
    		        new java.sql.Timestamp(
    		                new SimpleDateFormat("yyyy/MM/dd").parse("2002/03/20").getDate()));

    		ResultSet rs = pst.executeQuery(); // -> output log 
    		
    		
        
        rs.close();
    		pst.close();
    		c.close();
        
         
    }

}
