package ams.com.ams.jdbcdebug.test;

import java.sql.Connection;
import java.sql.SQLException;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

import junit.framework.TestCase;

/**
 * <p>
 * InitialContext経由Connection取得テスト
 * </p>
 * <p>
 * create date 2005/08/23
 * </p>
 * 
 * @author Monden Akihiko
 * @version $Revision: 1.1 $
 */
public class JDBCDebugTest011_InitialContext extends TestCase {

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * InitialContextによるドライバロードのテスト
	 * @throws NamingException
	 * @throws SQLException
	 */
	public void testInitialContext() throws NamingException, SQLException  {
        
    InitialContext ic = new InitialContext();
    DataSource ds = (DataSource) ic.lookup("FWPRJ");
    
    assertNotNull(ds);
    
    Connection con = ds.getConnection();
    assertNotNull(con);
    
    con.close();
    assertTrue(con.isClosed());
    
    
    
    
//		Class.forName("org.postgresql.Driver");
//
//		String url = "jdbc:postgresql://129.160.48.82/FWPRJ";
//		Connection con = DriverManager.getConnection(url, "postgres",
//				"206xswin");
//        
//    assertNotNull(con);
//    
//    con.close();
//    assertTrue(con.isClosed());
	}
}
